# Update workspace AI allowlist

`POST https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/workspaceAiAllowlist`

Add or remove workspaces from the enterprise AI allowlist. Accepts up to 10 workspaces per request. Only applicable when the enterprise AI workspace restriction policy is set to SPECIFIED_WORKSPACES. Set includeDescendantWorkspaces to true to include workspaces from descendant org units.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.account:write`](https://airtable.com/developers/web/api/scopes.md#enterprise-account-write)
- **User role:** Enterprise admin
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `enterpriseAccountId: string`

## Request body

- `includeDescendantWorkspaces: boolean` — optional

- `workspaces: array<object>` — required

  - `isAllowed: boolean` — required

  - `workspaceId: string` — required

## Response format

- `errors: array<object>` — required

  - `type: string` — required

  - `message: string` — required

  - `workspaceId: string` — required
